/* A symbol table. */

#if !defined INTERN_H
#define INTERN_H

#ifdef __cplusplus
extern "C"
{
#endif

/* To use the symbol table, you must implement the symbol interface.  */

/* Initializes the symbol table */
void intern_init();
/* Free all space used by the symbol table */
void intern_free();
/* Find the symbol associated with a name or create it if it is
   missing.  */
symbol_t intern(const char *);

#ifdef __cplusplus
}
#endif

#endif
